* [gentoo-commits] proj/dotnet:master commit in: dev-lang/mono/, dev-dotnet/libgdiplus/
@ 2013-11-15 6:39 Heather Cynede
0 siblings, 0 replies; 2+ messages in thread
From: Heather Cynede @ 2013-11-15 6:39 UTC (permalink / raw
To: gentoo-commits
commit: 03c57fe78849dce92d1613c27a264d4a64a1ca6a
Author: Heather <Heather <AT> cynede <DOT> net>
AuthorDate: Fri Nov 15 06:42:14 2013 +0000
Commit: Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Fri Nov 15 06:42:14 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/dotnet.git;a=commit;h=03c57fe7
set jpeg SLOT to 0, thanks to Michael Palimaka
---
dev-dotnet/libgdiplus/libgdiplus-2.10.9-r2.ebuild | 7 +++----
dev-lang/mono/mono-3.2.3.ebuild | 2 +-
2 files changed, 4 insertions(+), 5 deletions(-)
diff --git a/dev-dotnet/libgdiplus/libgdiplus-2.10.9-r2.ebuild b/dev-dotnet/libgdiplus/libgdiplus-2.10.9-r2.ebuild
index 10357df..712b65d 100644
--- a/dev-dotnet/libgdiplus/libgdiplus-2.10.9-r2.ebuild
+++ b/dev-dotnet/libgdiplus/libgdiplus-2.10.9-r2.ebuild
@@ -1,9 +1,8 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/libgdiplus/libgdiplus-2.10.9.ebuild $
+# $Header: $
EAPI="5"
-
inherit base eutils dotnet flag-o-matic
DESCRIPTION="Library for using System.Drawing with mono"
@@ -11,7 +10,7 @@ HOMEPAGE="http://www.mono-project.com"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ppc ppc64 x86 ~amd64-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
SRC_URI="http://download.mono-project.com/sources/${PN}/${P}.tar.bz2"
IUSE="cairo"
@@ -26,7 +25,7 @@ RDEPEND=">=dev-libs/glib-2.16:2
>=x11-libs/cairo-1.8.4[X]
media-libs/libexif
>=media-libs/giflib-4.2.3
- virtual/jpeg
+ virtual/jpeg:0
media-libs/tiff:0
!cairo? ( >=x11-libs/pango-1.20 )"
DEPEND="${RDEPEND}"
diff --git a/dev-lang/mono/mono-3.2.3.ebuild b/dev-lang/mono/mono-3.2.3.ebuild
index 94abcd2..9a3582e 100644
--- a/dev-lang/mono/mono-3.2.3.ebuild
+++ b/dev-lang/mono/mono-3.2.3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-3.2.3.ebuild,v 1.2 2013/09/26 14:02:55 tomwij Exp $
+# $Header: $
EAPI="5"
AUTOTOOLS_PRUNE_LIBTOOL_FILES="all"
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] proj/dotnet:master commit in: dev-lang/mono/, dev-dotnet/libgdiplus/
@ 2016-01-19 6:55 Heather Cynede
0 siblings, 0 replies; 2+ messages in thread
From: Heather Cynede @ 2016-01-19 6:55 UTC (permalink / raw
To: gentoo-commits
commit: 5f84efe14055c13fa7826603882522550265107d
Author: Heather <Heather <AT> live <DOT> ru>
AuthorDate: Tue Jan 19 06:55:13 2016 +0000
Commit: Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Tue Jan 19 06:55:13 2016 +0000
URL: https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=5f84efe1
bump libgdiplus to 4.2 and mono to 4.2.2.29
dev-dotnet/libgdiplus/libgdiplus-4.2.ebuild | 60 ++++++++++++++
dev-lang/mono/mono-4.2.2.29.ebuild | 116 ++++++++++++++++++++++++++++
2 files changed, 176 insertions(+)
diff --git a/dev-dotnet/libgdiplus/libgdiplus-4.2.ebuild b/dev-dotnet/libgdiplus/libgdiplus-4.2.ebuild
new file mode 100644
index 0000000..669ffae
--- /dev/null
+++ b/dev-dotnet/libgdiplus/libgdiplus-4.2.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils dotnet flag-o-matic
+
+DESCRIPTION="Library for using System.Drawing with mono"
+HOMEPAGE="http://www.mono-project.com"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+SRC_URI="http://download.mono-project.com/sources/${PN}/${P}.tar.gz"
+
+IUSE="cairo"
+
+RDEPEND=">=dev-libs/glib-2.2.3:2
+ >=media-libs/freetype-2.3.7
+ >=media-libs/fontconfig-2.6
+ >=media-libs/libpng-1.4:0
+ x11-libs/libXrender
+ x11-libs/libX11
+ x11-libs/libXt
+ >=x11-libs/cairo-1.8.4[X]
+ media-libs/libexif
+ >=media-libs/giflib-4.2.3
+ virtual/jpeg:0
+ media-libs/tiff:0
+ !cairo? ( >=x11-libs/pango-1.20 )"
+DEPEND="${RDEPEND}"
+
+RESTRICT="test"
+
+src_prepare() {
+ sed -i -e 's:ungif:gif:g' configure.ac || die
+ append-flags -fno-strict-aliasing
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-dependency-tracking \
+ --disable-static \
+ $(usex cairo "" "--with-pango")
+}
+
+src_install () {
+ MAKEOPTS+=" -j1"
+ default
+
+ dotnet_multilib_comply
+ local commondoc=( AUTHORS ChangeLog README TODO )
+ for docfile in "${commondoc[@]}"; do
+ [[ -e "${docfile}" ]] && dodoc "${docfile}"
+ done
+ [[ "${DOCS[@]}" ]] && dodoc "${DOCS[@]}"
+ prune_libtool_files
+}
diff --git a/dev-lang/mono/mono-4.2.2.29.ebuild b/dev-lang/mono/mono-4.2.2.29.ebuild
new file mode 100644
index 0000000..677210a
--- /dev/null
+++ b/dev-lang/mono/mono-4.2.2.29.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+AUTOTOOLS_PRUNE_LIBTOOL_FILES="all"
+AUTOTOOLS_AUTORECONF=1
+
+inherit eutils linux-info mono-env flag-o-matic pax-utils autotools-utils versionator
+
+DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.mono-project.com/Main_Page"
+SRC_URI="http://download.mono-project.com/sources/${PN}/${P}.tar.bz2"
+
+LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception IDPL"
+SLOT="0"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+
+IUSE="nls minimal pax_kernel xen doc"
+
+COMMONDEPEND="
+ !minimal? ( >=dev-dotnet/libgdiplus-2.10 )
+ ia64? ( sys-libs/libunwind )
+ nls? ( sys-devel/gettext )
+"
+RDEPEND="${COMMONDEPEND}
+ || ( www-client/links www-client/lynx )
+"
+DEPEND="${COMMONDEPEND}
+ sys-devel/bc
+ virtual/yacc
+ pax_kernel? ( sys-apps/elfix )
+ !dev-lang/mono-basic
+"
+
+MAKEOPTS="${MAKEOPTS} -j1" #nowarn
+S="${WORKDIR}/${PN}-$(get_version_component_range 1-3)"
+
+pkg_pretend() {
+ # If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang while compiling.
+ # See http://bugs.gentoo.org/261869 for more info."
+ CONFIG_CHECK="SYSVIPC"
+ use kernel_linux && check_extra_config
+}
+
+pkg_setup() {
+ linux-info_pkg_setup
+ mono-env_pkg_setup
+}
+
+src_prepare() {
+ # we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so it don't
+ # get killed in the build proces when MPROTECT is enable. #286280
+ # RANDMMAP kill the build proces to #347365
+ # use paxmark.sh to get PT/XT logic #532244
+ if use pax_kernel ; then
+ ewarn "We are disabling MPROTECT on the mono binary."
+
+ # issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
+ sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i "${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
+ fi
+
+ # mono build system can fail otherwise
+ strip-flags
+
+ # Fix VB targets
+ # http://osdir.com/ml/general/2015-05/msg20808.html
+ epatch "${FILESDIR}/add_missing_vb_portable_targets.patch"
+
+ # Fix build when sgen disabled
+ # https://bugzilla.xamarin.com/show_bug.cgi?id=32015
+ epatch "${FILESDIR}/${PN}-4.0.2.5-fix-mono-dis-makefile-am-when-without-sgen.patch"
+
+ # Fix atomic_add_i4 support for 32-bit ppc
+ # https://github.com/mono/mono/compare/f967c79926900343f399c75624deedaba460e544^...8f379f0c8f98493180b508b9e68b9aa76c0c5bdf
+ epatch "${FILESDIR}/${PN}-4.0.2.5-fix-ppc-atomic-add-i4.patch"
+
+ epatch "${FILESDIR}/systemweb3.patch"
+ epatch "${FILESDIR}/fix-for-GitExtensions-issue-2710-another-resolution.patch"
+ epatch "${FILESDIR}/fix-for-bug36724.patch"
+
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=(
+ --disable-silent-rules
+ $(use_with xen xen_opt)
+ --without-ikvm-native
+ --disable-dtrace
+ $(use_with doc mcs-docs)
+ $(use_enable nls)
+ )
+
+ autotools-utils_src_configure
+}
+
+src_compile() {
+ autotools-utils_src_compile
+}
+
+src_test() {
+ cd mcs/tests || die
+ emake check
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ # Remove files not respecting LDFLAGS and that we are not supposed to provide, see Fedora
+ # mono.spec and http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+ # for reference.
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+ rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2016-01-19 6:55 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-01-19 6:55 [gentoo-commits] proj/dotnet:master commit in: dev-lang/mono/, dev-dotnet/libgdiplus/ Heather Cynede
-- strict thread matches above, loose matches on Subject: below --
2013-11-15 6:39 Heather Cynede
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox